package com.mdd.admin.vo.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("管理员信息Vo")
public class SystemAuthAdminInformVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("部门ID")
   private Integer deptId;
   @ApiModelProperty("岗位ID")
   private Integer postId;
   @ApiModelProperty("账号")
   private String username;
   @ApiModelProperty("昵称")
   private String nickname;
   @ApiModelProperty("头像")
   private String avatar;
   @ApiModelProperty("多端登录: [0=否, 1=是]")
   private Integer isMultipoint;
   @ApiModelProperty("是否禁用: [0=否, 1=是]")
   private Integer isDisable;
   @ApiModelProperty("最后登录IP")
   private String lastLoginIp;
   @ApiModelProperty("最后登录时间")
   private String lastLoginTime;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;
   @ApiModelProperty("角色主键")
   private String roleIds;

   public Integer getId() {
      return this.id;
   }

   public Integer getDeptId() {
      return this.deptId;
   }

   public Integer getPostId() {
      return this.postId;
   }

   public String getUsername() {
      return this.username;
   }

   public String getNickname() {
      return this.nickname;
   }

   public String getAvatar() {
      return this.avatar;
   }

   public Integer getIsMultipoint() {
      return this.isMultipoint;
   }

   public Integer getIsDisable() {
      return this.isDisable;
   }

   public String getLastLoginIp() {
      return this.lastLoginIp;
   }

   public String getLastLoginTime() {
      return this.lastLoginTime;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public String getRoleIds() {
      return this.roleIds;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setDeptId(Integer deptId) {
      this.deptId = deptId;
   }

   public void setPostId(Integer postId) {
      this.postId = postId;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public void setNickname(String nickname) {
      this.nickname = nickname;
   }

   public void setAvatar(String avatar) {
      this.avatar = avatar;
   }

   public void setIsMultipoint(Integer isMultipoint) {
      this.isMultipoint = isMultipoint;
   }

   public void setIsDisable(Integer isDisable) {
      this.isDisable = isDisable;
   }

   public void setLastLoginIp(String lastLoginIp) {
      this.lastLoginIp = lastLoginIp;
   }

   public void setLastLoginTime(String lastLoginTime) {
      this.lastLoginTime = lastLoginTime;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public void setRoleIds(String roleIds) {
      this.roleIds = roleIds;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemAuthAdminInformVo)) {
         return false;
      } else {
         SystemAuthAdminInformVo other = (SystemAuthAdminInformVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label167: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label167;
                  }
               } else if (this$id.equals(other$id)) {
                  break label167;
               }

               return false;
            }

            Object this$deptId = this.getDeptId();
            Object other$deptId = other.getDeptId();
            if (this$deptId == null) {
               if (other$deptId != null) {
                  return false;
               }
            } else if (!this$deptId.equals(other$deptId)) {
               return false;
            }

            label153: {
               Object this$postId = this.getPostId();
               Object other$postId = other.getPostId();
               if (this$postId == null) {
                  if (other$postId == null) {
                     break label153;
                  }
               } else if (this$postId.equals(other$postId)) {
                  break label153;
               }

               return false;
            }

            Object this$isMultipoint = this.getIsMultipoint();
            Object other$isMultipoint = other.getIsMultipoint();
            if (this$isMultipoint == null) {
               if (other$isMultipoint != null) {
                  return false;
               }
            } else if (!this$isMultipoint.equals(other$isMultipoint)) {
               return false;
            }

            label139: {
               Object this$isDisable = this.getIsDisable();
               Object other$isDisable = other.getIsDisable();
               if (this$isDisable == null) {
                  if (other$isDisable == null) {
                     break label139;
                  }
               } else if (this$isDisable.equals(other$isDisable)) {
                  break label139;
               }

               return false;
            }

            Object this$username = this.getUsername();
            Object other$username = other.getUsername();
            if (this$username == null) {
               if (other$username != null) {
                  return false;
               }
            } else if (!this$username.equals(other$username)) {
               return false;
            }

            label125: {
               Object this$nickname = this.getNickname();
               Object other$nickname = other.getNickname();
               if (this$nickname == null) {
                  if (other$nickname == null) {
                     break label125;
                  }
               } else if (this$nickname.equals(other$nickname)) {
                  break label125;
               }

               return false;
            }

            label118: {
               Object this$avatar = this.getAvatar();
               Object other$avatar = other.getAvatar();
               if (this$avatar == null) {
                  if (other$avatar == null) {
                     break label118;
                  }
               } else if (this$avatar.equals(other$avatar)) {
                  break label118;
               }

               return false;
            }

            Object this$lastLoginIp = this.getLastLoginIp();
            Object other$lastLoginIp = other.getLastLoginIp();
            if (this$lastLoginIp == null) {
               if (other$lastLoginIp != null) {
                  return false;
               }
            } else if (!this$lastLoginIp.equals(other$lastLoginIp)) {
               return false;
            }

            label104: {
               Object this$lastLoginTime = this.getLastLoginTime();
               Object other$lastLoginTime = other.getLastLoginTime();
               if (this$lastLoginTime == null) {
                  if (other$lastLoginTime == null) {
                     break label104;
                  }
               } else if (this$lastLoginTime.equals(other$lastLoginTime)) {
                  break label104;
               }

               return false;
            }

            label97: {
               Object this$createTime = this.getCreateTime();
               Object other$createTime = other.getCreateTime();
               if (this$createTime == null) {
                  if (other$createTime == null) {
                     break label97;
                  }
               } else if (this$createTime.equals(other$createTime)) {
                  break label97;
               }

               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            Object this$roleIds = this.getRoleIds();
            Object other$roleIds = other.getRoleIds();
            if (this$roleIds == null) {
               if (other$roleIds != null) {
                  return false;
               }
            } else if (!this$roleIds.equals(other$roleIds)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemAuthAdminInformVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $deptId = this.getDeptId();
      result = result * 59 + ($deptId == null ? 43 : $deptId.hashCode());
      Object $postId = this.getPostId();
      result = result * 59 + ($postId == null ? 43 : $postId.hashCode());
      Object $isMultipoint = this.getIsMultipoint();
      result = result * 59 + ($isMultipoint == null ? 43 : $isMultipoint.hashCode());
      Object $isDisable = this.getIsDisable();
      result = result * 59 + ($isDisable == null ? 43 : $isDisable.hashCode());
      Object $username = this.getUsername();
      result = result * 59 + ($username == null ? 43 : $username.hashCode());
      Object $nickname = this.getNickname();
      result = result * 59 + ($nickname == null ? 43 : $nickname.hashCode());
      Object $avatar = this.getAvatar();
      result = result * 59 + ($avatar == null ? 43 : $avatar.hashCode());
      Object $lastLoginIp = this.getLastLoginIp();
      result = result * 59 + ($lastLoginIp == null ? 43 : $lastLoginIp.hashCode());
      Object $lastLoginTime = this.getLastLoginTime();
      result = result * 59 + ($lastLoginTime == null ? 43 : $lastLoginTime.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      Object $roleIds = this.getRoleIds();
      result = result * 59 + ($roleIds == null ? 43 : $roleIds.hashCode());
      return result;
   }

   public String toString() {
      return "SystemAuthAdminInformVo(id=" + this.getId() + ", deptId=" + this.getDeptId() + ", postId=" + this.getPostId() + ", username=" + this.getUsername() + ", nickname=" + this.getNickname() + ", avatar=" + this.getAvatar() + ", isMultipoint=" + this.getIsMultipoint() + ", isDisable=" + this.getIsDisable() + ", lastLoginIp=" + this.getLastLoginIp() + ", lastLoginTime=" + this.getLastLoginTime() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ", roleIds=" + this.getRoleIds() + ")";
   }
}
